image: docker:latest
services:
  - docker:dind

variables:
  DOCKER_DRIVER: overlay

stages:
  - build
  - package

gradle-build:
  image: java:8-jdk
  stage: build
  script:
    - ./gradlew assemble
  artifacts:
    paths:
      - build/libs/*.jar
    expire_in: 1 week

docker-build:
  stage: package
  script:
    - docker build -t registry.gitlab.com/julian.trujillo/gitlab .
    - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN registry.gitlab.com
    - docker push registry.gitlab.com/julian.trujillo/gitlab